name: hangman
description: Hangman game, have fun with words and letters!

publish_to: "none"

version: 1.5.1+36

environment:
  sdk: "^3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # base
  flutter_custom_toolbox:
    git:
      url: https://git.harrault.fr/android/flutter-toolbox.git
      ref: 0.3.0

  # specific
  diacritic: ^0.1.4
  html: ^0.15.4
  http: ^1.1.0

dev_dependencies:
  flutter_lints: ^5.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/skins/
    - assets/translations/
    - assets/ui/

  fonts:
    - family: Tiza
      fonts:
        - asset: assets/fonts/tiza.ttf
    - family: Nunito
      fonts:
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Bold.ttf
          weight: 700
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Medium.ttf
          weight: 500
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Regular.ttf
          weight: 400
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Light.ttf
          weight: 300
